Create User Card

Call this endpoint to create a card that a specified user enrolled in rewards will use to make purchases and earn rewards.
Required scopes: user:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Referring partner user ID from issuer that specifies user

Request

This endpoint expects an object.
referringPartnerUserIdstringRequired
Referring partner user ID from issuer
cardslist of objectsOptional
List of User Cards Information to add
cardInfoobjectOptionalDeprecated

[Deprecated — please use “cards” field] User Card Information

Response

This endpoint returns an object.
_idstring
Unique user ID of user in Kard's system
referringPartnerstring
Issuer name
referringPartnerUserIdstring
Referring partner user ID of user from issuer
cardslist of objects

List of User Cards Information (this will include the newly added cards added).

createdDatedatetime

Created date of user in Kard’s system (UTC)

lastModifieddatetime

Last modified date of user in Kard’s system (UTC)

__vinteger
Version of user in Kard's system
emailstringOptional
Email of user if available
hashedEmailstringOptional

Hashed email address of user (using SHA-256)

phoneNumberstringOptional
Phone number of user in E.164 format
birthYearstringOptional
Birth year of user
userNamestringOptional
Username of user if available
firstNamestringOptional
First name of user if available
lastNamestringOptional
Last name of user if available
zipCodestringOptional
Zipcode of user if available
externalPartnerUserIdstringOptional
Partner unique user id, might be equal to referringPartnerUserId, if available
enrolledRewardslist of enumsOptional
List of enrolled rewards

Errors

400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
409
Conflict Error
500
Internal Server Error